<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed Apr 15 17:44:51 EEST 2020 -->
<title>OrderItemDAO</title>
<meta name="date" content="2020-04-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OrderItemDAO";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../databaseaccess/OrderDAO.html" title="class in databaseaccess"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../databaseaccess/ProductDAO.html" title="class in databaseaccess"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?databaseaccess/OrderItemDAO.html" target="_top">Frames</a></li>
<li><a href="OrderItemDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">databaseaccess</div>
<h2 title="Class OrderItemDAO" class="title">Class OrderItemDAO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>databaseaccess.OrderItemDAO</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">OrderItemDAO</span>
extends java.lang.Object</pre>
<div class="block">Aceasta clasa se ocupa cu diverse interogari pe tabela OrderItem.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../databaseaccess/OrderItemDAO.html#OrderItemDAO--">OrderItemDAO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.sql.ResultSet</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../databaseaccess/OrderItemDAO.html#billOrderItem-int-">billOrderItem</a></span>(int&nbsp;orderID)</code>
<div class="block">Metoda care executa "SELECT * FROM OrderItem where id_o=?"</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../databaseaccess/OrderItemDAO.html#deleteOrderItemClient-int-">deleteOrderItemClient</a></span>(int&nbsp;clientID)</code>
<div class="block">Metoda care se ocupa de stergerea unei comenzi a clientului dat</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../databaseaccess/OrderItemDAO.html#deleteOrderItemProduct-int-">deleteOrderItemProduct</a></span>(int&nbsp;productID)</code>
<div class="block">Metoda care se ocupa de stergerea unei comenzi care contine produsul dat</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../databaseaccess/OrderItemDAO.html#insertOrderItem-model.OrderItem-">insertOrderItem</a></span>(<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&nbsp;o)</code>
<div class="block">Metoda care se ocupa cu inserarea unei comenzi in tabela OrderItem</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OrderItemDAO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OrderItemDAO</h4>
<pre>public&nbsp;OrderItemDAO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="billOrderItem-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>billOrderItem</h4>
<pre>public static&nbsp;java.sql.ResultSet&nbsp;billOrderItem(int&nbsp;orderID)</pre>
<div class="block">Metoda care executa "SELECT * FROM OrderItem where id_o=?" pentru a oferi mai departe datele necesare pentru generarea unui bon</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>orderID</code> - id ul comenzii pentru care se doreste bon</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResultSet ul interogarii</dd>
</dl>
</li>
</ul>
<a name="deleteOrderItemClient-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteOrderItemClient</h4>
<pre>public static&nbsp;int&nbsp;deleteOrderItemClient(int&nbsp;clientID)</pre>
<div class="block">Metoda care se ocupa de stergerea unei comenzi a clientului dat</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clientID</code> - id-ul clientului</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>1 in caz de succes, 0 in caz ca operatia esueaza</dd>
</dl>
</li>
</ul>
<a name="deleteOrderItemProduct-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteOrderItemProduct</h4>
<pre>public static&nbsp;int&nbsp;deleteOrderItemProduct(int&nbsp;productID)</pre>
<div class="block">Metoda care se ocupa de stergerea unei comenzi care contine produsul dat</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>productID</code> - id ul produsului</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>1 in caz de succes, 0 in caz ca operatia esueaza</dd>
</dl>
</li>
</ul>
<a name="insertOrderItem-model.OrderItem-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>insertOrderItem</h4>
<pre>public static&nbsp;int&nbsp;insertOrderItem(<a href="../model/OrderItem.html" title="class in model">OrderItem</a>&nbsp;o)</pre>
<div class="block">Metoda care se ocupa cu inserarea unei comenzi in tabela OrderItem</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - comanda care urmeaza a fi inserata</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>1 in caz de succes, 0 in caz ca operatia esueaza</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../databaseaccess/OrderDAO.html" title="class in databaseaccess"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../databaseaccess/ProductDAO.html" title="class in databaseaccess"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?databaseaccess/OrderItemDAO.html" target="_top">Frames</a></li>
<li><a href="OrderItemDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
